Subject: Re: [PATCH] gitlab-ci: always run MSVC-based Meson job

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 May 2025 10:03:46 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Mon, Apr 28, 2025 at 11:32:12AM +0200, Patrick Steinhardt wrote:
>> With 7304bd2bc39 (ci: wire up Visual Studio build with Meson,
>> 2025-01-22) we have introduced a CI job that builds and tests Git with
>> Microsoft Visual Studio via Meson. This job is only being executed by
>> default on GitHub Workflows though -- on GitLab CI it is marked as a
>> "manual" job, so the developer has to actively trigger these jobs.
>> 
>> The consequence of this split is that any breakage specific to this job
>> is only noticed by developers who mainly work with GitHub. Let's improve
>> this situation by also running the job by default on GitLab CI.
>> 
>> Signed-off-by: Patrick Steinhardt <[email-masked]>
>
> While there has been discussion around whether we can in general avoid
> some duplication in our pipelines, I think this patch makes sense
> regardless to bring GitLab CI in line with GitHub Workflows. I haven't
> seen the patch being picked up yet though -- I assume it fell of the
> radar.
>
> Junio, do you have any concern with taking this patch?

As long as Windows stakeholders are happy with the change, I have no
objection.  I didn't pick it up simply because Dscho didn't sound
too happy, and I do not take "The code seems to be correct, but I do
not like what it does" as a positive endorsement.

Thanks.